---
updatedAt: 2025-09-22T17:22:41.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Request an Invoice Webhook to be Resent

Facades: `merchant`

> 📘 Note
>
> Cancellation will require EITHER an SMS or E-mail to have already been set if the invoice has proceeded to the point where it may have been paid, unless using forceCancel parameter.

## Response

<HTMLBlock>{`
<table class="table">
     <tbody>
     <tr>
        <th>Name</th>
        <th>Type</th>
     </tr>
     <tr>
        <td>
          <code>data</code>
          <div class="param-info">set to <code>"Success"</code> once the webhook has been resent for the current invoice status</div>
        </td>
        <td>
          <code>string</code>
        </td>
     </tr>
  </tbody>
</table>
`}</HTMLBlock>

## Error Scenarios

* Cancellation requires SMS/email. Next step: resubmit the request after updating the invoice with verified SMS or Email
* Invoice is already complete. Next step, use the POST /refunds endpoint for this invoice

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/invoices/{invoiceId}/notifications": {
      "post": {
        "summary": "Request an Invoice Webhook to be Resent",
        "description": "Facades: `merchant`",
        "operationId": "request-an-invoice-webhook-to-be-resent",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "invoiceId",
            "in": "path",
            "description": "The id of the invoice for which you want the last webhook to be resent.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "token"
                ],
                "properties": {
                  "token": {
                    "type": "string",
                    "description": "The resource token for the invoiceId you want the webhook to be resent. You first need to retrieve this token from the invoice object itself, using the merchant facade (see section Retrieve an invoice)."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": \"Success\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "string",
                      "example": "Success"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```